Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorfbecker2009-02-10 17:02:43 -0500
committerfbecker2009-02-10 17:02:43 -0500
commitc1be5d2edddc794057efbaa94de6a07e8ca6c51a (patch)
tree92179c13c727290265c3b4e57dfc20221296e8f7
parent01aec0cb9adc992f8d5c8970296b641d1aacea1b (diff)
downloadorg.eclipse.mylyn.tasks-c1be5d2edddc794057efbaa94de6a07e8ca6c51a.tar.gz
org.eclipse.mylyn.tasks-c1be5d2edddc794057efbaa94de6a07e8ca6c51a.tar.xz
org.eclipse.mylyn.tasks-c1be5d2edddc794057efbaa94de6a07e8ca6c51a.zip
NEW - bug 263318: [patch] Fix for Bugzilla (BMO) bug 26257 Breaks Mylyn
https://bugs.eclipse.org/bugs/show_bug.cgi?id=263318
-rw-r--r--org.eclipse.mylyn.bugzilla.core/src/org/eclipse/mylyn/internal/bugzilla/core/BugzillaClient.java6
1 files changed, 3 insertions, 3 deletions
diff --git a/org.eclipse.mylyn.bugzilla.core/src/org/eclipse/mylyn/internal/bugzilla/core/BugzillaClient.java b/org.eclipse.mylyn.bugzilla.core/src/org/eclipse/mylyn/internal/bugzilla/core/BugzillaClient.java
index 16ed06ea9..8c579f9a2 100644
--- a/org.eclipse.mylyn.bugzilla.core/src/org/eclipse/mylyn/internal/bugzilla/core/BugzillaClient.java
+++ b/org.eclipse.mylyn.bugzilla.core/src/org/eclipse/mylyn/internal/bugzilla/core/BugzillaClient.java
@@ -1273,8 +1273,8 @@ public class BugzillaClient {
}
}
} else {
- // A token is required for bugzilla 3.2
- tokenRequired = true;
+ // A token is required for bugzilla 3.2.1 and newer
+ tokenRequired = bugzillaVersion.compareTo(BugzillaVersion.BUGZILLA_3_2) > 0;
String fieldName = BugzillaAttribute.BUG_STATUS.getKey();
TaskAttribute attributeStatus = model.getRoot().getMappedAttribute(TaskAttribute.STATUS);
TaskAttribute attributeOperation = model.getRoot().getMappedAttribute(TaskAttribute.OPERATION);
@@ -1369,7 +1369,7 @@ public class BugzillaClient {
}
}
- // check for security token (required for successful submit on Bugzilla 3.2 and greater but not in xml until Bugzilla 3.2.3 bug#263318)
+ // check for security token (required for successful submit on Bugzilla 3.2.1 and greater but not in xml until Bugzilla 3.2.3 bug#263318)
if (groupSecurityEnabled || (!tokenFound && tokenRequired)) {
// get security and token if exists from html and include in post

Back to the top